Search documentation of bb

# BB.Dsl.Color (bb v0.17.0)

Copy Markdown View Source

A color

## Summary

### Types

t()

### Functions

validate(value)

Validate a color channel value (must be between 0 and 1)

## Types

# t()

    @type t() :: %BB.Dsl.Color{
      __identifier__: any(),
      __spark_metadata__: Spark.Dsl.Entity.spark_meta(),
      alpha: number(),
      blue: number(),
      green: number(),
      red: number()
    }

## Functions

# validate(value)

    @spec validate(any()) :: {:ok, number()} | {:error, String.t()}

Validate a color channel value (must be between 0 and 1)